%define version	0.1.7
%define release	1
%define name 	xmlindent
%define install_target $RPM_BUILD_ROOT%{_prefix}

Summary: a XML stream reformatter
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Text Processing/Markup/XML
Source: http://www.cs.helsinki.fi/u/~penberg/xmlindent/src/xmlindent-%{version}.tar.gz
URL: http://www.cs.helsinki.fi/u/~penberg/xmlindent/
BuildRoot: /var/tmp/%{name}-%{version}
Packager: Pekka Enberg <Pekka.Enberg@cs.helsinki.fi>

%description
XML Indent is a XML stream reformatter written in ANSI C. It is
analogous to GNU indent.

%prep
%setup

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
install -d %{install_target}/bin
install -d %{install_target}/man/man1
install -m 555 xmlindent %{install_target}/bin/xmlindent
install -m 444 xmlindent.1 %{install_target}/man/man1/xmlindent.1
  
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_prefix}/man/*
